% This function performs t-test between the label of interest and the
% background for every experiment in the microarray collection

function [topexpID] = getTopExp(sizeMat, topN, TH)
global maxExp;
pvalList = ones(maxExp, 1);
for i = 1:maxExp
    sprintf('Calculating TopN : Loop %d',i)
    [cMat, pMat] = getCorrMat2(i, sizeMat,TH,1);
    [h pval] = doTtest(cMat, sizeMat);
    pvalList(i) = pval;
end
[~, Idx] =  sort(pvalList,'ascend');
topexpID = Idx(1:topN) %top N experiments from the sorted list
